summary.whatif <- function (object, print.freq = FALSE)  {

 #LOCAL VARIABLES
 m <- length(object$in.hull)
 sum.stat.mean <- mean(object$sum.stat)

 #PRINT ON SCREEN
 cat("Summary of Counterfactual Inference Analysis\n")
 cat("\n")
 cat("Number of Counterfactuals:  ", m, "\n", sep = "")
 cat("\n")
 cat("Counterfactual in Convex Hull, True or False, and",
   " Percentage of Observed\n", sep = "")
 cat("Data Points 'Nearby' Counterfactuals:\n")
 print.data.frame(data.frame("Counterfactual" = "",
   "In Hull?" = object$in.hull, "Percent Data Nearby" =
   object$sum.stat, row.names = NULL), right = FALSE)
 cat("\n")
 cat("Average Percent 'Nearby':  ", sum.stat.mean, "\n", sep = "")
 cat("\n")
 cat("Geometric Variance of Covariates:  ", object$geom.var, "\n", sep = "")
 cat("\n")
 if (print.freq)  {
   cat("Cumulative Frequencies of Gower Distances:")
   cat("\n")
   print.data.frame(as.data.frame(cbind(Counterfactual = rep("", m),
     object$cum.freq), row.names = NULL), right = FALSE)
   cat("\n")
 }
}
